package FSC;

/**
 * FilmStock is the class that defines one type of film stock.  It
 * includes the name, the frame size, and the frame speed.
 * 
 * @author      Larry Aasen
 */
public class FilmStock 
{
   /**
    * This is the default constructor.
    * @return nothing.
    */
  public FilmStock()
  {
  }

   /**
    * This constructor allows a FilmStock object to be created with all
    * properties defined in one method call.
    *
    * @param  name        the display name of the film stock.
    * @param  frameSize   the size of the frame in millimeters (mm).
    * @param  frameSpeed  the speed of the frames traveling through the
    *                     camera in feet per minute.
    * @return nothing.
    */
  public FilmStock( String name, int frameSize, int frameSpeed )
  {
    mName = name;
    mFrameSize = frameSize;
    mFrameSpeed = frameSpeed;
  }

   /**
    * This method will return the name of the film stock.
    *
    * @return the name of the film stock.
    */
  public String getName()
  {
    return mName;
  }

   /**
    * This method will set the name of the film stock.
    *
    * @return nothing.
    */
  public void setName( String value )
  {
    mName = value;
  }

   /**
    * This method will return the size of the frame in millimeters (mm).
    *
    * @return the size of the frame in millimeters (mm).
    */
  public int getFrameSize()
  {
    return mFrameSize;
  }

   /**
    * This method will set the frame size in millimeters (mm).
    *
    * @return nothing.
    */
  public void setFrameSize( int value )
  {
    mFrameSize = value;
  }

   /**
    * This method will return the speed of the frames traveling through the
    * camera in feet per minute.
    *
    * @return the frame speed in feet per minute.
    */
  public int getFrameSpeed()
  {
    return mFrameSpeed;
  }

   /**
    * This method will set the frame speed in feet per minute.
    *
    * @return nothing.
    */
  public void setFrameSpeed( int value )
  {
    mFrameSpeed = value;
  }
  
  private String mName = "";     // display name
  private int mFrameSize = 0;    // frame size - in mm
  private int mFrameSpeed = 0;   // frame speed - in feet per minute
}
